SystemOrganization addCategory: #ConfigurationOfVistaCursors!

Object subclass: #ConfigurationOfVistaCursors
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfVistaCursors'!

!ConfigurationOfVistaCursors class methodsFor: 'private' stamp: 'tbn 1/12/2010 14:36'!
bootstrapPackage: aString from: aPath 
	| repository version |
	repository := MCHttpRepository
				location: aPath
				user: ''
				password: ''.
	repository
		versionReaderForFileNamed: aString , '.mcz'
		do: [:reader | 
			version := reader version.
			version load.
			version workingCopy repositoryGroup addRepository: repository]! !

!ConfigurationOfVistaCursors class methodsFor: 'private' stamp: 'tbn 1/12/2010 14:36'!
ensureMetacello
	"Bootstrap Gofer (if necessary), bootstrap ConfigurationOfMetacello (using old Gofer API), then load the latest 
	version of Metacello itself."

	Smalltalk at: #MetacelloProject ifAbsent: [
		Smalltalk at: #Gofer ifAbsent: [
			"Current version of Gofer from which to bootstrap - as of 1.0-beta.15"
			self bootstrapPackage: 'Gofer-lr.83' from: 'http://seaside.gemstone.com/ss/metacello' ].
		Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
			gofer := goferClass new
				url: 'http://seaside.gemstone.com/ss/metacello';
				yourself.
			[ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
			gofer load ].
		"load latest version of Metacello, load a specific version if desired"
		(Smalltalk at: #ConfigurationOfMetacello) perform: #loadLatestVersion ]! !

!ConfigurationOfVistaCursors class methodsFor: 'metacello tool support' stamp: 'tbn 1/12/2010 14:35'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfVistaCursors class methodsFor: 'metacello tool support' stamp: 'tbn 1/12/2010 14:35'!
lastMetacelloVersionLoad
	"Answer the last version loaded and the list of packages loaded for that version."

	LastVersionLoad == nil ifTrue: [ LastVersionLoad := nil -> 'default' ].
	^LastVersionLoad! !

!ConfigurationOfVistaCursors class methodsFor: 'loading' stamp: 'tbn 2/19/2010 23:14'!
load
	"self load"

	^self project latestVersion load! !

!ConfigurationOfVistaCursors class methodsFor: 'metacello tool support' stamp: 'tbn 1/12/2010 14:36'!
metacelloVersion: versionString loads: anArrayOrString
	"Stash the last version loaded and the list of packages loaded for that version. The list
	 of packages will be used by the tools when doing 'Load Package Version'"

	LastVersionLoad := versionString -> anArrayOrString! !

!ConfigurationOfVistaCursors class methodsFor: 'accessing' stamp: 'tbn 1/12/2010 14:35'!
project

	^self new project! !

!ConfigurationOfVistaCursors methodsFor: 'baselines' stamp: 'tbn 1/12/2010 14:32'!
baseline10: spec 
	<version: '1.0-baseline'>
	
	spec for: #common do: [
		spec blessing: #baseline.
	].	

	spec for: #pharo do: [
		spec repository: 'http://www.squeaksource.com/PharoGoodies'.
		spec 
			package: 'VistaCursors'.			
	]! !

!ConfigurationOfVistaCursors methodsFor: 'accessing' stamp: 'tbn 1/12/2010 14:29'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear.
		project ]! !

!ConfigurationOfVistaCursors methodsFor: 'symbolic versions' stamp: 'tbn 4/22/2012 15:08'!
stable: spec
	<symbolicVersion: #'stable'>
	
	spec  for: #common version: '1.0'! !

!ConfigurationOfVistaCursors methodsFor: 'versions' stamp: 'tbn 5/20/2010 10:51'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline')>

	spec for: #common do: [
		spec blessing: #release.
		spec author: 'TorstenBergmann'.
		spec description: 'First release 1.0 of this project '.
	].
	
	spec for: #pharo do: [		
		spec 
			package: 'VistaCursors' with: 'VistaCursors-tbn.2'.				
	]
			! !
